Last Comment Bug 735998 - HTML entities in the latest tweet under "@<twitter-account> timeline" should be resolved to Unicode characters
: HTML entities in the latest tweet under "@<twitter-account> timeline" should ...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Florian Quèze [:florian] [:flo]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 00:51 PDT by Masayuki Nakano [:masayuki] (Mozilla Japan)
Modified: 2012-06-15 04:02 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (950 bytes, patch)
2012-06-12 08:48 PDT, Florian Quèze [:florian] [:flo]
clokep: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Masayuki Nakano [:masayuki] (Mozilla Japan) 2012-03-15 00:51:16 PDT
The latest tweet in the timeline is shown at the top-right of the chat tab (under "@<twitter-account> timeline").

However, it doesn't resolve HTML entities such as &gt; to Unicode characters. I.e., "foo > bar" is shown as "foo &gt; bar" there.
Comment 1 Florian Quèze [:florian] [:flo] 2012-03-15 03:12:00 PDT
It seems we forgot to unescape the HTML entities before setting the topic when sending a tweet.
Comment 2 Florian Quèze [:florian] [:flo] 2012-06-12 08:48:19 PDT
Created attachment 632268 [details] [diff] [review]
Patch
Comment 3 Patrick Cloke [:clokep] 2012-06-12 09:11:48 PDT
Comment on attachment 632268 [details] [diff] [review]
Patch

This looks fine, did we verify that we should be sending the entities to Twitter? (I vaguely recall we're supposed to, but just wanted to check!)
Comment 4 Florian Quèze [:florian] [:flo] 2012-06-14 07:22:56 PDT
https://hg.mozilla.org/comm-central/rev/f00ab2e3c12d
Comment 5 Florian Quèze [:florian] [:flo] 2012-06-14 07:23:37 PDT
Comment on attachment 632268 [details] [diff] [review]
Patch

[Approval Request Comment]
Simple fix for a quite visible bug when using twitter.
Comment 6 Florian Quèze [:florian] [:flo] 2012-06-15 04:02:53 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/c62ad399ad98

Note You need to log in before you can comment on or make changes to this bug.